Re: po/LINGUAS revisited

On 5/9/06, Matthias Clasen <matthias clasen gmail com> wrote:
On 5/9/06, Elijah Newren <newren gmail com> wrote:
> On 5/9/06, Matthias Clasen <matthias clasen gmail com> wrote:
> > Building works fine if you don't care that there are no translations.
> > Unfortunately
> > (or fortunately), rpmbuild is not so forgiving and fails if the translations
> > are missing.
> So to verify, you're saying that
> > a) configure scripts do not depend on unreleased tool versions
> isn't a problem after all.  Correct?

Well, it becomes a problem as soon as you have to regenerate configure
from the tarball. I helped myself by pushing a cvs snapshot of intltool
into rawhide, but thats clearly not ideal.

> And that
> > b) make sure that tarballs contain translations
> was likely a bigger issue than we realized (I only thought we had
> missed gdm, but I really should have put forth a bigger effort to find
> out once  that it hit multiple modules)?
> Do you happen to have a list of modules that are missing translations,
> from your rpmbuild attempts?  I'll try to follow up with all the
> necessary people to get this fixed to 2.15.2.

I did not get very far. At this time, I can add vte 0.13.0 and
gedit 2.15.1 to the list of translation-deprived modules.

zenity 2.15.1 and gnome-system-monitor  2.14.2 are also affected.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]